<?php
//@*--


class Theme_Designer_Block_Adminhtml_Settings_Edit_Tabs extends Mage_Adminhtml_Block_Widget_Tabs
{

    public function __construct()
    {
        parent::__construct();
        $this->setId('form_tabs');
        $this->setDestElementId('edit_form'); // this should be same as the form id define above
        $this->setTitle(Mage::helper('designer')->__('Theme Settings'));
    }

    protected function _beforeToHtml()
    {
        $this->addTab('form_section', array(
            'label'     => Mage::helper('designer')->__('Menu'),
            'title'     => Mage::helper('designer')->__('Menu'),
            'content'   => $this->getLayout()->createBlock('designer/adminhtml_settings_edit_tab_menu')->toHtml(),
        ));

        $this->addTab('logo_section', array(
            'label'     => Mage::helper('designer')->__('Logo'),
            'title'     => Mage::helper('designer')->__('Logo'),
            'content'   => $this->getLayout()->createBlock('designer/adminhtml_settings_edit_tab_logo')->toHtml()
        ));

        return parent::_beforeToHtml();
    }
}


//--*@